code
stringlengths
1
1.96M
language
stringclasses
1 value
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test correctness when 'ddsnap agent' dies . config_uml . config_single # load up uml ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host || { echo UNRESOLVED; exit 1; } echo -n Setting up volume... ssh $SSH_OPTS $uml_host "zum...
Shell
#!/bin/bash # Example of how to start one UML instance (if needed) and log into it # (or run a command remotely) . ./config_uml . ./config_single ps augxw | grep linux | grep -q -v grep || ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host set -ex ssh $SSH_OPTS $uml_host "$@"
Shell
#!/bin/bash # Example of how to start one UML instance (if needed) and copy a single file from it . ./config_uml . ./config_single ps augxw | grep linux | grep -q -v grep || ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host set -ex scp $SCP_OPTS root@${uml_host}:"$1" .
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test zumastor stop on target . config_uml . config_replication ./start_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$t...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # run all tests in the current directory export ITERATIONS=10 # each test runs ten iterations for filename in $( find $1 -type f -name 'test_*.sh' | sort ) do test=`basename $filename .sh` logfile=log_$test sh $filename >& log_$...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # build kernel linux uml with the KERNEL_VERSION specified in config_uml and with ddsnap kerenel patches . config_uml pushd $WORKDIR [[ -e linux-${KERNEL_VERSION} ]] && rm -rf linux-${KERNEL_VERSION} echo -n Unpacking kernel... tar...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # download linux kernel and debian root file system image . config_uml # Download a file and checks its checksum download() { file=`basename "$1"` test -f $DOWNLOAD_CACHE/$file || (pushd $DOWNLOAD_CACHE; wget -c "$1"; popd) if ...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # update zumastor and ddsnap . config_uml [[ $# -eq 1 ]] || { echo "Usage: update_zuma.sh uml_fs"; exit 1; } uml_fs=$1 echo -n Upgrading ddsnap and zumastor... mount -o loop $WORKDIR/$uml_fs /mnt || exit 1 pushd $ZUMA_REPOSITORY/...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # load up a uml linux . config_uml [[ $# -eq 4 ]] || { echo "Usage: start_uml.sh uml_fs ubd_dev ubc_dev uml_host"; exit 1; } uml_fs=$1 ubdb_dev=$2 ubdc_dev=$3 uml_host=$4 function create_device { fsize=`stat -c %s $1 2> /dev/nu...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # Unpack the base filesystem image downloaded from uml website, # setup ssh keys, and build zumastor debian packages . ./config_uml [[ $# -eq 1 ]] || { echo "Usage: build_fs.sh uml_fs"; exit 1; } uml_fs=$1 rm_exit() { echo $1 ...
Shell
#!/bin/bash # Example of how to start one UML instance (if needed) and copy a file into it . ./config_uml . ./config_single ps augxw | grep linux | grep -q -v grep || ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host set -ex scp $SCP_OPTS "$@" root@${uml_host}:
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # configure uml network [[ $# -eq 3 ]] || [[ $# -eq 4 ]] || { echo "Usage: $setup_network.sh uml_ip uml_hostname [uml_fs]"; exit 1; } uml_ip=$1 host_tap_ip=$2 uml_host=$3 uml_fs=$4 echo -n Setting up IP MASQUERADE... iptables -t n...
Shell
#!/bin/sh # Demostrates how to run all UML-based Zumastor tests set -e set -x # utilities to build debian packages and run uml dpkg -s build-essential devscripts fakeroot debhelper > /dev/null 2>&1 || sudo apt-get install build-essential devscripts fakeroot debhelper dpkg -s uml-utilities > /dev/null 2>&1 || sudo apt-...
Shell
#!/bin/sh dest_dir=/var/run/zumastor/mount/test number=1 prev= while true; do [[ $number -le 5 ]] || number=1 version=2.6.16.$number wget -c http://www.kernel.org/pub/linux/kernel/v2.6/linux-${version}.tar.bz2 || continue [[ ! -z $prev ]] && mv "${dest_dir}"/linux-* "${dest_dir}"/linux-${version} tar jxf linux-"...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test replication resuming after network goes down and up # this program requires root previlige . config_uml . config_replication ./start_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPT...
Shell
#!/bin/bash . config_uml . config_single CHUNKSIZE=16k # test low-level ddsnap creation/deletion ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host || { echo UNRESOLVED; exit 1; } echo -n Start ddsnap agent and server... ssh $SSH_OPTS $uml_host "ddsnap initialize -y -c $CHUNKSIZE /dev/ubdc /dev/ubdb" ssh $SSH_OP...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test zumastor stop on source . config_uml . config_replication ./start_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$t...
Shell
#!/bin/bash # Example of how to shut down the UML instance started by login.sh . ./config_uml . ./config_single set -ex ./stop_uml.sh $uml_host $uml_fs
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # Load source and target umls. Set up source and target volumes. . config_uml . config_replication ./start_uml.sh $source_uml_fs $source_ubdb_dev $source_ubdc_dev $source_uml_host || exit 1 ./start_uml.sh $target_uml_fs $target_ubd...
Shell
#!/bin/sh date case "$(tr -dc 0-9 < /dev/urandom | head -c 1)" in 0) # Kill a random zumastor-related process pid_to_kill="$(ps auxwwww | egrep 'ddsnap|zumastor' | grep -v grep | awk '{print $2}' | perl -e '@l=<>; while(@l) { print splice @l, int(rand(@l)), 1 }' | head -1)" echo "killing process ${pid_to_kill}" p...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # shutdown a uml and wait for its completion . config_uml [[ $# -eq 2 ]] || { echo "Usage: stop_uml.sh uml_host uml_fs"; exit 1; } uml_host=$1 uml_fs=$2 ssh $SSH_OPTS $uml_host "halt" >& /dev/null || { echo FAIL; exit 1; } for i ...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # This test is based on the failure injection scripts from Joel Votaw <jvotaw@google.com> # It untars a series of kernel tarball, at the same time, # simulates processes crashing and sysadmin mistakes at an accelerated rate . confi...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # shutdown source and target umls . config_uml . config_replication ssh $SSH_OPTS $source_uml_host "zumastor forget volume $vol" >& /dev/null ssh $SSH_OPTS $target_uml_host "zumastor forget volume $vol" >& /dev/null ./stop_uml.sh ...
Shell
#!/bin/bash # Example of how to start one UML instance (if needed) and copy a file into it . ./config_uml . ./config_single ps augxw | grep linux | grep -q -v grep || ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host set -ex scp $SCP_OPTS "$@" root@${uml_host}:
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test replication resuming after network goes down and up # this program requires root previlige . config_uml . config_replication ./start_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPT...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # install all the required libraries and utilities based on the image downloaded from uml website umount_exit() { echo $1 umount /mnt rm -f $uml_fs exit 1 } [[ $# -eq 1 ]] || { echo "Usage: build_fs.sh uml_fs"; exit 1; } uml_f...
Shell
#!/bin/bash # Example of how to shut down the UML instance started by login.sh . ./config_uml . ./config_single set -ex ./stop_uml.sh $uml_host $uml_fs
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # Unpack the base filesystem image downloaded from uml website, # setup ssh keys, and build zumastor debian packages . ./config_uml [[ $# -eq 1 ]] || { echo "Usage: build_fs.sh uml_fs"; exit 1; } uml_fs=$1 rm_exit() { echo $1 ...
Shell
#!/bin/sh dest_dir=/var/run/zumastor/mount/test number=1 prev= while true; do [[ $number -le 5 ]] || number=1 version=2.6.16.$number wget -c http://www.kernel.org/pub/linux/kernel/v2.6/linux-${version}.tar.bz2 || continue [[ ! -z $prev ]] && mv "${dest_dir}"/linux-* "${dest_dir}"/linux-${version} tar jxf linux-"...
Shell
#!/bin/bash # Example of how to start one UML instance (if needed) and copy a single file from it . ./config_uml . ./config_single ps augxw | grep linux | grep -q -v grep || ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host set -ex scp $SCP_OPTS root@${uml_host}:"$1" .
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test correctness when 'ddsnap agent' dies . config_uml . config_single # load up uml ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host || { echo UNRESOLVED; exit 1; } echo -n Setting up volume... ssh $SSH_OPTS $uml_host "zum...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # load up a uml linux . config_uml [[ $# -eq 4 ]] || { echo "Usage: start_uml.sh uml_fs ubd_dev ubc_dev uml_host"; exit 1; } uml_fs=$1 ubdb_dev=$2 ubdc_dev=$3 uml_host=$4 function create_device { fsize=`stat -c %s $1 2> /dev/nu...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # run all tests in the current directory export ITERATIONS=10 # each test runs ten iterations for filename in $( find $1 -type f -name 'test_*.sh' | sort ) do test=`basename $filename .sh` logfile=log_$test sh $filename >& log_$...
Shell
#!/bin/sh date case "$(tr -dc 0-9 < /dev/urandom | head -c 1)" in 0) # Kill a random zumastor-related process pid_to_kill="$(ps auxwwww | egrep 'ddsnap|zumastor' | grep -v grep | awk '{print $2}' | perl -e '@l=<>; while(@l) { print splice @l, int(rand(@l)), 1 }' | head -1)" echo "killing process ${pid_to_kill}" p...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # shutdown a uml and wait for its completion . config_uml [[ $# -eq 2 ]] || { echo "Usage: stop_uml.sh uml_host uml_fs"; exit 1; } uml_host=$1 uml_fs=$2 ssh $SSH_OPTS $uml_host "halt" >& /dev/null || { echo FAIL; exit 1; } for i ...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test zumastor stop on source . config_uml . config_replication ./start_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$t...
Shell
#!/bin/bash # Example of how to start one UML instance (if needed) and log into it # (or run a command remotely) . ./config_uml . ./config_single ps augxw | grep linux | grep -q -v grep || ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host set -ex ssh $SSH_OPTS $uml_host "$@"
Shell
#!/bin/bash . config_uml . config_single CHUNKSIZE=16k # test low-level ddsnap creation/deletion ./start_uml.sh $uml_fs $ubdb_dev $ubdc_dev $uml_host || { echo UNRESOLVED; exit 1; } echo -n Start ddsnap agent and server... ssh $SSH_OPTS $uml_host "ddsnap initialize -y -c $CHUNKSIZE /dev/ubdc /dev/ubdb" ssh $SSH_OP...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test zumastor stop on target . config_uml . config_replication ./start_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$t...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # keep running full volume replication between source and target . config_uml . config_replication ./start_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start full-volume replication test... ssh $SSH_OPTS $source_uml_hos...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # Load source and target umls. Set up source and target volumes. . config_uml . config_replication ./start_uml.sh $source_uml_fs $source_ubdb_dev $source_ubdc_dev $source_uml_host || exit 1 ./start_uml.sh $target_uml_fs $target_ubd...
Shell
#!/bin/bash -x # # $Id: buildcurrent.sh 964 2007-11-22 22:00:11Z shapor $ # # based on build_packages.sh # builds whatever is in current working directory, # does not pull any external source # may be run inside an isolated virtual machine for safe automatic builds # # Copyright 2007 Google Inc. All rights reserved. # ...
Shell
#!/bin/sh # run after the base packages are installed, from inside the d-i environment # copied into the initrd so it doesn't need to be fetched over network # connections. # $Id: etch-late.sh 629 2007-08-29 23:42:00Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: G...
Shell
#!/bin/sh -x # Run the etch/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # $Id: test-etch-i386.sh 654 2007-09-05 21:37:06Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e if [ "x$MACFILE" = "x" -o "x$MAC...
Shell
#!/bin/sh # run after the base packages are installed, from inside the d-i environment # copied into the initrd so it doesn't need to be fetched over network # connections. # $Id: dapper-late.sh 837 2007-11-02 20:44:47Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License:...
Shell
#!/bin/sh # run early in the dapper install, from the preseed # $Id: etch-early.sh 629 2007-08-29 23:42:00Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e
Shell
#!/bin/sh -x # Set up the initial Ubuntu/dapper template image, for use when duplicating # the install to multiple server/client tests. Makes use of tunbr and # a presetup br1, squid, and dnsmasq. Must run from the cbtb/host-setup/ # directory to use other scripts and data. # $Id: dapper-i386.sh 837 2007-11-02 20:4...
Shell
#!/bin/sh -x # Run the dapper/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # Any parameters are copied to the destination instance and executed as root # $Id: test-dapper-i386.sh 769 2007-10-05 03:20:43Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Die...
Shell
#!/bin/sh # # $Id: proxy.sh 629 2007-08-29 23:42:00Z drake.diedrich $ # # Set up the local machine (Debian or derivative) with the pass-through proxy. set -e VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] && . /etc/default/testenv # if apache2 was already installed and the default Virt...
Shell
#!/bin/sh # Turn the swap partition into a physical volume in the sysvg volume group # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e modprobe dm-mod || true if egrep dm_mod /proc/modules ; then dev=`awk '/swap/ { print $1; }' /etc/fstab` egrep dm-mod /etc/mo...
Shell
#!/bin/sh # # $Id$ # # Install and configure atftpd for use with the virtualization test # environment for zumastor. # # Copyright 2007 Google Inc. All rights reserved. # Author: Drake Diedrich (dld@google.com) VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] && . /etc/default/testenv # Create /tftpboot if it doe...
Shell
#!/bin/sh # run after the base packages are installed, from inside the d-i environment # copied into the initrd so it doesn't need to be fetched over network # connections. # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e mkdir /target/root/.ssh cp /authorized_ke...
Shell
#!/bin/sh -x # # $Id$ # # Install and configure dnsmasq to dynamically serve DNS and DHCP # for the range of addresses managed by tunbr, part of the zumastor # virtual test environment. # The default /etc/dnsmasq.conf is locally diverted and replaced # with the configuration file inline below, with instructions o...
Shell
#!/bin/sh # run early in the dapper install, from the preseed # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e
Shell
#!/bin/sh -x # Set up the initial Ubuntu/dapper template image, for use when duplicating # the install to multiple server/client tests. Makes use of tunbr and # a presetup br1, squid, and dnsmasq. Must run from the cbtb/host-setup/ # directory to use other scripts and data. # $Id$ # Copyright 2007 Google Inc. # Aut...
Shell
#!/bin/sh -x # # $Id$ # # Add the br1 bridge to /etc/network/interfaces, as required by tests in # the tunbr virtualization environment. # VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" VIRTBR="br1" [ -x /etc/default/testenv ] && . /etc/default/testenv if echo $VIRTNET | egrep "/24" then NETWORK=`echo $VIRTNET |...
Shell
#!/bin/sh # run early in the dapper install, from the preseed # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e
Shell
#!/bin/sh # # $Id$ # # Set up the local machine (Debian or derivative) with the pass-through proxy. set -e VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] && . /etc/default/testenv # if apache2 was already installed and the default VirtualHost is already # enabled, leave it alone. Else...
Shell
#!/bin/sh -x # Run the dapper/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # Any parameters are copied to the destination instance and executed as root # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e SSH='ssh -o S...
Shell
#!/bin/sh -x # Set up the initial Debian/etch template image, for use when duplicating # the install to multiple server/client tests. Makes use of tunbr and # a presetup br1, squid, and dnsmasq. # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e SSH='ssh -o Strict...
Shell
#!/bin/sh -x # Run the etch/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e if [ "x$MACFILE" = "x" -o "x$MACADDR" = "x" -o "x$IFACE" = "x" \ -o "x$IPADDR" = "x" ] ...
Shell
#!/bin/sh # run after the base packages are installed, from inside the d-i environment # copied into the initrd so it doesn't need to be fetched over network # connections. # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e mkdir /target/root/.ssh cp /authorized_ke...
Shell
#!/bin/sh -x # # $Id$ # # Install any other zumastor testenv (cbtb) dependencies aptitude install timeout uml-utilities
Shell
#!/bin/sh -x # # $Id: dnsmasq.sh 629 2007-08-29 23:42:00Z drake.diedrich $ # # Install and configure dnsmasq to dynamically serve DNS and DHCP # for the range of addresses managed by tunbr, part of the zumastor # virtual test environment. # The default /etc/dnsmasq.conf is locally diverted and replaced # with the...
Shell
#!/bin/sh -x # # $Id: dependencies.sh 654 2007-09-05 21:37:06Z drake.diedrich $ # # Install any other zumastor testenv (cbtb) dependencies aptitude install timeout uml-utilities
Shell
#!/bin/sh # # $Id: atftpd.sh 629 2007-08-29 23:42:00Z drake.diedrich $ # # Install and configure atftpd for use with the virtualization test # environment for zumastor. # # Copyright 2007 Google Inc. All rights reserved. # Author: Drake Diedrich (dld@google.com) VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] && ...
Shell
#!/bin/sh # run early in the dapper install, from the preseed # $Id: dapper-early.sh 629 2007-08-29 23:42:00Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e
Shell
#!/bin/sh -x # # $Id: interfaces-bridge.sh 629 2007-08-29 23:42:00Z drake.diedrich $ # # Add the br1 bridge to /etc/network/interfaces, as required by tests in # the tunbr virtualization environment. # VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" VIRTBR="br1" [ -x /etc/default/testenv ] && . /etc/default/testenv ...
Shell
#!/bin/sh # Turn the swap partition into a physical volume in the sysvg volume group # $Id: swap2sysvg.sh 629 2007-08-29 23:42:00Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e modprobe dm-mod || true if egrep dm_mod /proc/modules ; then dev=`awk '...
Shell
#!/bin/sh -x # Set up the initial Debian/etch template image, for use when duplicating # the install to multiple server/client tests. Makes use of tunbr and # a presetup br1, squid, and dnsmasq. # $Id: etch-i386.sh 629 2007-08-29 23:42:00Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@g...
Shell
#!/bin/sh -x # Run the zuma/dapper/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # Any parameters are copied to the destination instance and executed as root # $Id: test-zuma-dapper-i386.sh 842 2007-11-06 00:52:19Z drake.diedrich $ # Copyright 2007 Google Inc. # Author:...
Shell
#!/bin/bash -x # # $Id: ptxdist-image.sh 688 2007-09-12 23:05:01Z chklin $ # # based partially on buildcurrent.sh # builds a ptxdist image with zumastor kernel and userland support # # Copyright 2007 Google Inc. # Author: Chuan-kai Lin (cklin@google.com) KERNEL_VERSION=`awk '/^2\.6\.[0-9]+(\.[0-9]+)?$/ { print $1; }' ...
Shell
#!/bin/sh -x # # $Id: dapper-build.sh 853 2007-11-07 22:15:55Z drake.diedrich $ # # Launch a dapper-i386 snapshot # create a build user in the snapshot # copy the zumastor source to ~build # run buildcurrent.sh as user build in the testenv instance # pull the debs out of the instance # shut down the instance # # Copy t...
Shell
#!/bin/sh -x # # Build an image with current or provided zumastor debs installed, booted, # and ready to immediately run single-node tests. # Inherits from the generic dapper template. # # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e KERNEL_VERSION=`awk '/^2\.6\....
Shell
#!/bin/sh -x # # $Id$ # # Launch a dapper-i386 snapshot # create a build user in the snapshot # copy the zumastor source to ~build # run buildcurrent.sh as user build in the testenv instance # pull the debs out of the instance # shut down the instance # # Copy this to a directory outside the working directory, and laun...
Shell
#!/bin/sh -x # # $Id$ # # Continuously check whether a new build has completed, and install # the new debs into a new image to use for testing. Create a symlink to # the new image for the continuous-test script to notice and launch tests # against. repo="${PWD}/zumastor" top="${PWD}" branch=`cat $repo/Version` buil...
Shell
#!/bin/bash -x # # $Id$ # # based partially on buildcurrent.sh # builds a ptxdist image with zumastor kernel and userland support # # Copyright 2007 Google Inc. # Author: Chuan-kai Lin (cklin@google.com) KERNEL_VERSION=`awk '/^2\.6\.[0-9]+(\.[0-9]+)?$/ { print $1; }' KernelVersion` if [ "x$KERNEL_VERSION" = "x" ] ; th...
Shell
#!/bin/sh -x # # $Id$ # # # Continuously svn update, run the encapsulated build # Create symlinks to the new debs each time a new build is successful, # so other continuous-* scripts can tell at a glance that a new one # has arrived. mailto=/usr/bin/mailto sendmail=/usr/sbin/sendmail biabam=/usr/bin/biabam TUNBR=tunbr...
Shell
#!/bin/sh -x # Run the zuma/dapper/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # Any parameters are copied to the destination instance and executed as root # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e SSH='ssh...
Shell
#!/bin/sh -x # # $Id$ # # # continuously run an svn update on a zumastor repository with the cbtb/tests # Whenever the last successful test revision differs from the last successful # install revision, fire off a new round of tests. top="${PWD}" branch=`cat $top/zumastor/Version` installrev='' if [ -f ${top}/zumastor...
Shell
#!/bin/sh -x # # Build an image with current or provided zumastor debs installed, booted, # and ready to immediately run single-node tests. # Inherits from the generic dapper template. # # $Id: zuma-dapper-i386.sh 839 2007-11-05 20:09:37Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@googl...
Shell
#!/bin/sh -x # # $Id: continuous-install.sh 882 2007-11-09 01:10:05Z drake.diedrich $ # # Continuously check whether a new build has completed, and install # the new debs into a new image to use for testing. Create a symlink to # the new image for the continuous-test script to notice and launch tests # against. repo...
Shell
#!/bin/sh -x # # $Id: continuous-test.sh 882 2007-11-09 01:10:05Z drake.diedrich $ # # # continuously run an svn update on a zumastor repository with the cbtb/tests # Whenever the last successful test revision differs from the last successful # install revision, fire off a new round of tests. top="${PWD}" branch=`cat ...
Shell
#!/bin/sh -x # # $Id: continuous-build.sh 882 2007-11-09 01:10:05Z drake.diedrich $ # # # Continuously svn update, run the encapsulated build # Create symlinks to the new debs each time a new build is successful, # so other continuous-* scripts can tell at a glance that a new one # has arrived. mailto=/usr/bin/mailto ...
Shell
#!/bin/sh -x # # $Id: replication-zumastor.sh 795 2007-10-17 19:17:48Z drake.diedrich $ # # Set up sysvg with origin and snapshot store on master and secondary machine. # Begin replication cycle between machines # and wait until it arrives and can be verified. # Modify the origin and verify that the modification also a...
Shell
#!/bin/sh -x # # $Id: nfs-test.sh 766 2007-10-02 23:57:21Z drake.diedrich $ # # Export zumastor over NFS to a slave and then perform some filesystem # actions. Verify that the filesystem actions arrive in the snapshot store. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) ...
Shell
#!/bin/sh -x # # $Id: replication-zumastor-names.sh 916 2007-11-16 18:22:23Z shapor $ # # Set up sysvg with origin and snapshot store on master and secondary machine. # Begin replication cycle between machines # and wait until it arrives and can be verified. # Modify the origin and verify that the modification also arr...
Shell
#!/bin/sh -x # # $Id: replication-ddsnap.sh 926 2007-11-19 18:00:29Z drake.diedrich $ # # Use ddsnap directly to create a snapshot, modify the origin, and create # another snapshot. Verify that checksums change and remain correct. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google...
Shell
#!/bin/sh -x # # $Id$ # # Use ddsnap directly to create a snapshot, modify the origin, and create # another snapshot. Verify that checksums change and remain correct. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) set -e rc=0 # Terminate test in 20 minutes. Read by ...
Shell
#!/bin/sh -x # # $Id$ # # Set up sysvg with origin and snapshot store on master and secondary machine. # Begin replication cycle between machines # and wait until it arrives and can be verified. # Modify the origin and verify that the modification also arrives at the # backup. # # Requires that the launch environment (...
Shell
#!/bin/sh -x # # $Id$ # # Export zumastor over CIFS to a slave and then perform some filesystem # actions. Verify that the filesystem actions arrive in the snapshot store. # # Copyright 2007 Google Inc. All rights reserved # Author: Mark Roach (mrroach@google.com) # Original Author: Drake Diedrich (dld@google.com) ...
Shell
#!/bin/sh -x # # $Id$ # # Export zumastor over NFS to a slave and then perform some filesystem # actions. Verify that the filesystem actions arrive in the snapshot store. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) set -e rc=0 # Terminate test in 20 minutes. Read ...
Shell
#!/bin/sh -x # # $Id$ # # Set up sysvg with origin and snapshot store on master and secondary machine. # Begin replication cycle between machines # and wait until it arrives and can be verified. # Modify the origin and verify that the modification also arrives at the # backup. # # Requires that the launch environment (...
Shell
#!/bin/sh -x # # $Id$ # # Export zumastor over CIFS to a slave and then perform some filesystem # actions. Verify that the filesystem actions arrive in the snapshot store. # # Copyright 2007 Google Inc. All rights reserved # Author: Mark Roach (mrroach@google.com) # Original Author: Drake Diedrich (dld@google.com) ...
Shell
#!/bin/sh -x # $Id$ # simple paramter script for zuma-test-dapper-i386.sh script # will wait until return is pressed set -e env hostname ifconfig eth0 || true ifconfig eth1 || true echo "slogin root@ the IP address above to work interactively" echo "Press return to end the session" read ret
Shell
#!/bin/sh -x # $Id: wait.sh 632 2007-08-30 01:36:33Z drake.diedrich $ # simple paramter script for zuma-test-dapper-i386.sh script # will wait until return is pressed set -e env hostname ifconfig eth0 || true ifconfig eth1 || true echo "slogin root@ the IP address above to work interactively" echo "Press return to...
Shell
#!/bin/sh -x # # $Id: boot-order.sh 741 2007-09-26 14:48:31Z drake.diedrich $ # # Boot and install insserv, and make sure zumastor doesn't show up # in its list of warnings. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) set -e TIMEOUT=1200 echo "1..2" rc=0 aptitude i...
Shell
#!/bin/sh -x # # $Id: snapshot-zumastor.sh 786 2007-10-11 03:41:54Z drake.diedrich $ # # Set up sysvg with origin and snapshot store, iterate through a few # snapshots to verify that each is unique and stable when taken. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) set...
Shell
#!/bin/sh -x # # $Id: snapshot-ddsnap.sh 789 2007-10-11 11:53:50Z drake.diedrich $ # # Use ddsnap directly to create a snapshot, modify the origin, and create # another snapshot. Verify that checksums change and remain correct. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.co...
Shell
#!/bin/sh -x # # $Id$ # # Boot and install insserv, and make sure zumastor doesn't show up # in its list of warnings. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) set -e TIMEOUT=1200 echo "1..2" rc=0 aptitude install -y insserv nfs-kernel-server echo "ok 1 - insserv...
Shell